function D = Dfk_circ_theta_highDim(k, x, P, DP, N, a, b, dimNum);


%Note that by the chain rule:
%
%  D[f^n o P](x) =  [Df]|_{f^(n-1) o P (x)}  o ...
%                         ... o [Df]|_{P(x)} o [d/dx P]
%

%Need innermost terms for Chain Rule.


 %Image of z_n = (s_n, t_n) Pu:
 for j = 1:dimNum
    P_x(j) = horner(x, P(j, :), N); 
 end
 
 %Differential of Pu(z_n):
 for j = 1:dimNum
 DP_at_x(j, 1) = horner(x, DP(j,:), N-1);
 end

 DP_at_x
 
Df_at_Px = henonLikeDifferential(P_x, a, b, dimNum);

%Chain Rule for D[f o P](s,t):
D_of_f_circ_P_at_x = Df_at_Px*DP_at_x;

Differential = D_of_f_circ_P_at_x;

%Apply the chain rule iteratively to 
%compute D[f^k o P](x):
for n = 2:k
   %Evaluate z = [f^{n-1} o P](x):
   fn_minusOne_circP = iterate_point_k_highDim(P_x, n-1, a, b, dimNum);
   %evaluate Df at z:
   Df_at_fn_minusOne_circP = ...
       henonLikeDifferential(fn_minusOne_circP, a, b, dimNum);
   %Chain Rule: compose with previous stuff:
   Differential = Df_at_fn_minusOne_circP*Differential;  
end    

D = Differential;






