function varargout = validateUnstableManifold_1D_delayHenon(...
    Pu, p, lambda, xi, N_f, N_dim, nu, ...
    s,  N, a, b, dimNum);


s_delta_good = 0;


Pu_poly = cell(dimNum, 1);
for k = 1:dimNum
    thisPoly = convertToPoly_1D1D(Pu(k, :), N);
    Pu_poly{k} = thisPoly; 
end


maxComponents = intval(zeros(dimNum, 1));


for k = 1:dimNum
    maxComponents(k) = polyval(mag(Pu_poly{k} - p(k)) , nu);
end


Pu_norm = norm(maxComponents, inf)


%A Posteriori Error and Differential Bound: 1D                                               


[epsilon_u_delayHenon, K_bar] = ...
    uError_delayHenon_intval(...
        Pu_poly, p, lambda, ...
        N, nu, a, b, dimNum);


    
sup(epsilon_u_delayHenon)  
K_bar

%Validation Constants:


mu_star = abs(lambda^(-1));
K_1 = 2*a/b;

checkOrder = ceil(sup(-log(K_bar)/log(mu_star)))
orderTest = 1;


if N+1 < checkOrder
    orderTest = 0
    s_delta_good = 0
    unstabldManifoldValidationFailed = 1
end


deltaNumerator = intval(1) - K_bar*mu_star^(N+1)
deltaDenom = 2*dimNum*intval('pi')*N_f*K_1
deltaRatio = deltaNumerator/deltaDenom



if sup(deltaRatio) < inf(s)
   theMin = deltaRatio;
else
    theMin = s;
end


delta_max = exp(intval(1))*theMin
delta = ((2*K_bar)/(1 - K_bar*mu_star^(N+1)))*epsilon_u_delayHenon



if sup(delta) >= inf(delta_max)
   s_delta_good = 0
    unstabldManifoldValidationFailed = 1
end


%==========================================================================
%Return Values:
%==========================================================================

s_delta_good = 1;

varargout(1,1)={delta};
varargout(2,1)={delta_max};
varargout(3,1)={Pu_norm};
varargout(4,1)={s_delta_good};
varargout(5,1)={orderTest};












